security/zkt - The NetBSD Packages Collection

DNSSEC Zone Key Tool

ZKT is a tool to manage keys and signatures for DNSSEC-zones.
The Zone Key Tool consist of two commands:
* dnssec-zkt to create and list dnssec zone keys and
* dnssec-signer to sign a zone and manage the lifetime of the zone signing keys
Both commands are simple wrapper commands around the dnssec-keygen(8) and
dnssec-signzone(8) commands provided by BIND.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfzkt-1.1.4.tgz
NetBSD 8.0earmv7hfzkt-1.1.4.tgz
NetBSD 8.0earmv7hfzkt-1.1.4.tgz
NetBSD 8.0i386zkt-1.1.4.tgz
NetBSD 8.0i386zkt-1.1.4.tgz
NetBSD 8.0powerpczkt-1.1.4.tgz
NetBSD 8.0powerpczkt-1.1.4.tgz
NetBSD 8.0powerpczkt-1.1.4.tgz
NetBSD 8.0powerpczkt-1.1.4.tgz
NetBSD 8.0x86_64zkt-1.1.4.tgz
NetBSD 8.0x86_64zkt-1.1.4.tgz
NetBSD 9.0aarch64zkt-1.1.4.tgz
NetBSD 9.0aarch64zkt-1.1.4.tgz
NetBSD 9.0aarch64zkt-1.1.4.tgz
NetBSD 9.0alphazkt-1.1.4.tgz
NetBSD 9.0alphazkt-1.1.4.tgz
NetBSD 9.0alphazkt-1.1.4.tgz
NetBSD 9.0earmzkt-1.1.4.tgz
NetBSD 9.0earmzkt-1.1.4.tgz
NetBSD 9.0earmzkt-1.1.4.tgz
NetBSD 9.0earmv6hfzkt-1.1.4.tgz
NetBSD 9.0earmv6hfzkt-1.1.4.tgz
NetBSD 9.0earmv6hfzkt-1.1.4.tgz
NetBSD 9.0earmv7hfzkt-1.1.4.tgz
NetBSD 9.0earmv7hfzkt-1.1.4.tgz
NetBSD 9.0earmv7hfzkt-1.1.4.tgz
NetBSD 9.0earmv7hfzkt-1.1.4.tgz
NetBSD 9.0i386zkt-1.1.4.tgz
NetBSD 9.0i386zkt-1.1.4.tgz
NetBSD 9.0i386zkt-1.1.4.tgz
NetBSD 9.0m68kzkt-1.1.4.tgz
NetBSD 9.0m68kzkt-1.1.4.tgz
NetBSD 9.0mips64ebzkt-1.1.4.tgz
NetBSD 9.0mips64ebzkt-1.1.4.tgz
NetBSD 9.0mips64ebzkt-1.1.4.tgz
NetBSD 9.0mips64ebzkt-1.1.4.tgz
NetBSD 9.0mips64ebzkt-1.1.4.tgz
NetBSD 9.0powerpczkt-1.1.4.tgz
NetBSD 9.0powerpczkt-1.1.4.tgz
NetBSD 9.0powerpczkt-1.1.4.tgz
NetBSD 9.0powerpczkt-1.1.4.tgz
NetBSD 9.0sparc64zkt-1.1.4.tgz
NetBSD 9.0sparc64zkt-1.1.4.tgz
NetBSD 9.0sparc64zkt-1.1.4.tgz
NetBSD 9.0sparczkt-1.1.4.tgz
NetBSD 9.0sparczkt-1.1.4.tgz
NetBSD 9.0sparczkt-1.1.4.tgz
NetBSD 9.0sparczkt-1.1.4.tgz
NetBSD 9.0x86_64zkt-1.1.4.tgz
NetBSD 9.0x86_64zkt-1.1.4.tgz
NetBSD 9.0x86_64zkt-1.1.4.tgz
NetBSD 9.0x86_64zkt-1.1.4.tgz
NetBSD 9.0x86_64zkt-1.1.4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.